> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET (/users/{userId}/profile/settings/people/{userList})

> GET (/users/{userId}/profile/settings/people/{userList})

# GET (/users/{userId}/profile/settings/people/{userList})

Get the profile for a user or users, with People Moniker support.
The domain for these URIs is `profile.xboxlive.com`.

* [Remarks](#ID4EV)
* [URI parameters](#ID4EKB)
* [Query string parameters](#ID4EVB)
* [Required Request Headers](#ID4EQC)
* [Request body](#ID4E2D)

<a id="ID4EV" />

## Remarks

**userList** and **userIds** are mutually-exclusive parameters. If both or either are specified, you'll get a **BadRequest** back. **userList** is an array for future-proofing in scenarios where multiple named lists are useful to request. **userIds** is composed of decimal strings for XUIDs - JSON is bad at serializing 64-bit unsigned integers. Finally, settings in XBOX One will be named settings, with normal human-readable names, rather than 64-bit unsigned integers or obscure constants like **XONLINE\_PROFILE\_ASDF**.

<a id="ID4EKB" />

## URI parameters

| Parameter | Type   | Description                                                                               |
| --------- | ------ | ----------------------------------------------------------------------------------------- |
| userId    | string | Can be either 'xuid(12345)', 'gt(myGamertag)', or 'me'.                                   |
| userList  | string | A named list of people to get settings for. Currently, People is the only list supported. |

<a id="ID4EVB" />

## Query string parameters

\| Parameter| Type| Description|
\| --- | --- | --- | --- | --- | --- |
\| settings| string| A comma-delimited list of setting names.|

<a id="ID4EQC" />

## Required Request Headers

\| Header| Type| Description|
\| --- | --- | --- | --- | --- | --- | --- | --- | --- |
\| x-xbl-contract-version| 32-bit signed integer| Value = 2|
\| content-type| string| Value = <code>application/json</code>|

<a id="ID4E2D" />

## Request body

<a id="ID4EBE" />

### Sample request

```cpp theme={null}
GET /users/me/profile/settings/people/people?settings=GameDisplayName,GameDisplayPicRaw,Gamerscore,Gamertag
      
```

<a id="ID4EKE" />

<a id="ID4EME" />

##### Response body

The response is a **ReadMultiSettingsResponseV2** object. Assuming the calling user has only one friend:

```cpp theme={null}
{
      "profileUsers":[
         {
            "id":"2533274791381930",
            "settings":[
               {
                  "id":"GameDisplayName",
                  "value":"John Smith"
               },
               {
                  "id":"GameDisplayPicRaw",
                  "value":"http://images-eds.xboxlive.com/image?url=z951ykn43p4FqWbbFvR2Ec.8vbDhj8G2Xe7JngaTToBrrCmIEEXHC9UNrdJ6P7KIN0gxC2r1YECCd3mf2w1FDdmFCpSokJWa2z7xtVrlzOyVSc6pPRdWEXmYtpS2xE4F&format=png&w=64&h=64"
               },
               {
                  "id":"Gamerscore",
                  "value":"0"
               },
               {
                  "id":"Gamertag",
                  "value":"CracklierJewel9"
               }
            ]
         }
      ]
   }
         
```

<a id="ID4E3E" />

## See also

<a id="ID4E5E" />

##### Parent

[/users/{userId}/profile/settings/people/{userList}?settings={settings}](/reference/live/rest/uri/profileV2/uri-usersuseridprofilesettingspeopleuserlist)

[Profile (JSON)](/reference/live/rest/json/json-profile)


## Related topics

- [XblProfileGetUserProfilesForSocialGroupAsync](/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupasync.md)
- [Displaying people from the People System](/services/xbox-services/community/people-system/concepts/live-pplsys-displaying-people.md)
- [Guest users overview](/build/core-features/common/user/users-guest-overview.md)
- [Profile Reads Meter API Description](/services/playfab/pricing/meters/profile-reads.md)
- [IXtfUserClient::PairControllerWithUserId Method](/reference/tools/xtf/xtfuser/classes/IXtfUserClient/methods/paircontrollerwithuserid-ixtfuserclient-xtfuser-xbox-windows-m.md)
